# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-YAML
Version:	1.07
Release:	16.%{__distinit}%{__distvers}
Summary:	Testing Module for YAML Implementations
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Test-YAML
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-YAML-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Test::Base) >= 0.89
BuildRequires:	perl(Test::Base::Filter)
# Test Suite
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.41
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Data::Dumper)

%description
Test::YAML is a subclass of Test::Base with YAML specific support.

%prep
%setup -q -n Test-YAML-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

# Exclude script that does nothing
rm %{buildroot}%{_bindir}/test-yaml

%check
make test AUTHOR_TESTING=1

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::YAML.3*

%changelog
* Wed May 31 2023 Paul Howarth <paul@city-fan.org> - 1.07-16
- Use SPDX-format license tag
- Use %%license unconditionally

* Wed Jun  5 2019 Paul Howarth <paul@city-fan.org> - 1.07-5
- Perl 5.30 rebuild

* Sun Jun 17 2018 Paul Howarth <paul@city-fan.org> - 1.07-1
- Update to 1.07
  - Add a test so that cpan clients don't return "NOTESTS" (GH#4)
- This release by TINITA → update source URL
- Switch upstream from search.cpan.org to metacpan.org
- Pod syntax test switch from release test to author test

* Wed Apr  4 2018 Paul Howarth <paul@city-fan.org> - 1.06-7
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Tue Oct 11 2016 Paul Howarth <paul@city-fan.org> - 1.06-3
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Jul 22 2015 Paul Howarth <paul@city-fan.org> - 1.06-1
- Update to 1.06
  - Remove perl req from Meta so can use on 5.6

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 1.05-2
- Perl 5.20 rebuild

* Tue Aug 26 2014 Paul Howarth <paul@city-fan.org> - 1.05-1
- Update to 1.05
  - Add 000-none to Meta
  - Remove t/use_ok.t
  - Meta 0.0.2
  - Dep on Test::Base 0.86
- Drop patch for building with Test::More < 0.88, no longer needed

* Thu Aug  7 2014 Paul Howarth <paul@city-fan.org> - 1.01-1
- Update to 1.01
  - Remove "use lib 'lib';" (CPAN RT#20342, GH#1)

* Thu Aug  7 2014 Paul Howarth <paul@city-fan.org> - 1.00-1
- Initial RPM version
